Bądź: Wyszukaj na stronie z użyciem Google
reklama:

środa, 1 lipca 2009

Instalacja finalnego Firefox 3.5 PL

Autor: , 09:00, środa, 1 lipca 2009


Wydano ostatnio kolejną wersję stabilną najpopularniejszej w prawie całej Europie przeglądarki Mozilla Firefox 3.5. Na stronie DownloadStats można przeglądać aktualizowane na bieżąco statystyki pobrań dla poszczególnych państw. My jednak skupimy się na instalacji nowej wersji.

Jak to zwykle na krótko po premierze, dla Ubuntu nie ma jeszcze przygotowanych paczek DEB z których można by prosto wgrać nową wersję programu. Odpowiednie paczki pojawiają się w pierwszej kolejności tutaj, zatem warto obserwować tę stronę.

Aktualizacja: Można już pobierać gotowe paczki DEB z najnowszym Firefoksem z launchpad.net.

Poradzimy sobie jednak również bez paczki instalacyjnej. Wystarczy pobrać na początek archiwum ze strony Mozilli a następnie rozpakować je w dowolnej lokalizacji. Zapewne i tak długo z takiej wersji nie będziesz musiał korzystać bo niebawem Firefox 3.5 powinien się pojawić w aktualizacjach, zatem dla dla przykładu można go umieścić na pulpicie.

Jeśli już wszystko znajduje się na dysku, musimy jeszcze stworzyć aktywator, który uruchomi odpowiedni skrypt i wystartuje przeglądarkę. Klikamy zatem w dowolnym miejscu prawym przyciskiem myszy i z menu kontekstowego wybieramy 'Utwórz aktywator..'. W polu 'Polecenie' wklejamy (Oczywiście zamieniając adrian na Twoją nazwę użytkownika):
/home/adrian/Pulpit/firefox/firefox
Po kliknięciu na Zakończ, można już uruchomić aktywator a tym samym i nową wersję Firefoksa. Aby wszystko załadowało się odpowiednio, należy przed tym zamknąć starszą wersję Liska.

Co nowego?

Na pierwszy rzut oka, z widocznych zmian dodano jedynie ikonki do łatwiejszego otwierania nowych kart. Nieco głębiej ukryty jest także tryb Private Browsing, czyli sesja w której nie zapisują się u nas na dysku żadne informacje co do przeglądanych stron.

Znaczącą zmianą jest także przyśpieszenie działania, które chyba nie jest jedynie efektem placebo. Jak pokazują testy wykonane przez Mashable, windowsowa wersja nowego Firefoksa dzięki zastosowaniu nowego silnika JavaScript plasuje się w czołówce najszybszych przeglądarek. Po kilku godzinach korzystania z FF 3.5 przyznam, że także w wersji linuksowej widać niewielkie przyśpieszenie.
Komentarze 42 comments
Anonimowy pisze...

Chyba zapomniałeś wspomnieć o najważniejszej zmianie w wersji dla linuksa. Jest wyraźnie szybsza od swojego poprzednika. Działa dużo żwawiej i zużywa znacznie mniej pamięci RAM. Także od tej wersji mit "mułowatego liska" został obalony ;p

Adrian Nowak pisze...

Hmm, chyba nie przeczytałeś do końca bo właśnie o tym też napisałem :).

spox5 pisze...

Gdy ktoś ma brzydkie fonty w firefoxie 3.5 polecam wykonać następujące czynności:

cd /etc/fonts/
sudo mv conf.d/10-hinting-slight.conf .
sudo ln -s conf.avail/10-hinting-slight.conf conf.d/
sudo mv conf.d/10-hinting.conf .
sudo ln -s conf.avail/10-hinting.conf conf.d/
sudo dpkg-reconfigure fontconfig

Po tym zabiegu wszystkie czcionki ładnie się prezentują :)

Anonimowy pisze...

Czy na 3.5 będą działać kiedyś dodatki takie jak: flash killer, mediaplayerconnectivity, mozplugger ?

spox5 pisze...

czas pokaże ;)

marcinsud pisze...

Nie chcę narzekać, ale właśnie na podlinkowanym repo paczki już są od 10 godzin i to wersji 3.5.1 pre

Adrian Nowak pisze...

@marcinusd
Dzięki, rzeczywiście już są. Dodałem aktualizację.

Anonimowy pisze...

@Adrian Nowak
W pierwszym komentarzu nie miałem na myśli szybkości renderowania stron, tylko responsywność samej aplikacji.

Adrian Nowak pisze...

@Anonimowy Nie napisałeś nic o responsywności ;)

blind pisze...

Nie ma żadnego repo, które zaktualizuje mi Fx'a do 3.5? :D

Anonimowy pisze...

Adrian, mała uwaga bo zawsze robisz rzeczy na opak, a nie musisz.

Można tak:

~/Pulpit/firefox/firefox
$HOME/Pulpit/firefox/firefox

a nawet

$HOME/Pul*/fire*/firefox

Adrian Nowak pisze...

No niestety takie tricki nie działają w aktywatorach z tego co patrzyłem.

Anonimowy pisze...

Pobrałem sobie firefoxa ze stron mozilli i rozpakowałem i odpalam i jest cacy, jest po polsku, oprócz tab mix plusa pozostałe najważniejsze dla mnie dodatki się odpalają itp.
Kiedy zainstalowałem go z launchpada to jest po angielsku (to jeszcze mały problem), ale prawie wszystkie dodatki (np ad block plus) są niekompatybilne
co robię nie tak?

Adam pisze...

w końcu się postarali zapiernicza aż miło, tylko lipa bo mi allegro toolbar nie trybi w 3.5

Henryk pisze...

Dodałem wpis do sources.list zainstalowałem i jestem w szoku! Nie poznaje przeglądarki, zapierdziela jak mały motorek;)

Anonimowy pisze...

"Pobrałem sobie firefoxa ze stron mozilli i rozpakowałem i odpalam i jest cacy, jest po polsku, oprócz tab mix plusa pozostałe najważniejsze dla mnie dodatki się odpalają itp.
Kiedy zainstalowałem go z launchpada to jest po angielsku (to jeszcze mały problem), ale prawie wszystkie dodatki (np ad block plus) są niekompatybilne
co robię nie tak?"
Przyłączam się do pytania. U mnie jest to samo. I dodatkowo program nie nazywa się Firefox tylko Mindfield... I ikona jest niefirefoxowa. Osochosi?

Anonimowy pisze...

Ikony i nazwa poprawi się po zainstalowaniu spolszczenia, pobierz z tąd: http://releases.mozilla.org/pub/mozilla.org/firefox/releases/3.5/linux-i686/xpi/
zapisz plik pl.xpi na dysku i otwórz go firefoxem z menu Plik/File.
Mi wszystkie dodatki działają jak należy.

Anonimowy pisze...

zrobilem tak pisze powyzej i dostalem komunikat:

"Polski Language Pack 3.5 could not be installed because it is not compatible with Shiretoko 3.5.1pre."

firefoxa mam zainstalowanego z tego miejsca: https://edge.launchpad.net/~ubuntu-mozilla-daily/+archive/ppa

Anonimowy pisze...

I ja mam to samo :( Próbowałem raz jeszcze dodać repo, ale nic to nie dało. Wymuszenie wersji też nie pomaga (dostępna jest starsza)... powoli tracę cierpliwość...

Plichu pisze...

Ludzie ale macie problemy :)
Ściągnijcie FF z www.firefox.pl , rozpakujcie np. w katalogu .mozilla/firefox-program/.. i zróbcie sobie aktywator...

Odejdzie wam problem ze spolszczeniem a update ff robi sobie sam.

Polecam zastosować się do rad kolegi spox5 bo czcionki są nieładne standardowo.

Mirex85 pisze...

No a co z wszelkimi ustawieniami przeglądarki, jak sobie wgram do nowego folderu to wszystki zakładki, dodatki ustawienia pozostna w starym. Więc jak zaktualizować normalnego firefoxa do 3,5?

ups5 pisze...

Mindfield to jest wersja Alfa Firefoxa 3.6 więc ci co ją zainstalowali się troszkę pospieszyli.
FF 3.5 miał nazwę kodową Shiretoko.
Tak więc pakiet językowy dla FF 3.5 (Shiretoko) nie pasuje do wersji FF 3.6 (Mindfield).
Niektóre dodatki nie są jeszcze kompatybilne z FF 3.5 (pewnie w ciągu tygodnia większość będzie działać), kompatybilność dodatków z FF 3.6 to jeszcze daleka przyszłość.

Anonimowy pisze...

czyli wg ups5 wersja shiretoko 3.5.1pre to wersja alfa FF 3.6 ??
cos tu mi nie pasuje bo wersja 3.6 tez jest w repo

Anonimowy pisze...

wiec co trzeba zainstalowac z repo by mniec FF 3.5 nie koniecznie w wersji polskiej

Anonimowy pisze...

instaluje 3.5 z zaktualizowanego repo to instaluje sie minefield 3.5.1pre a stara wersja 3.0.11 zostaje obok, wtf?

Anonimowy pisze...

Nie ma jeszcze paczek z firefoxem 3.5 dla ubuntu 9.04. Mozna albo sciagnac fx 3.5 z oficjalnej strony, albo bawic sie w rozne dziwne paczki. W repozytorium, ktore pojawia sie w newsie nie ma stabilnej, finalnej wersji fx 3.5!

Anonimowy pisze...

***Anonimowy z 01.07 10:44: mediaplayerconnectivity działa z F3.5 tyle, że: ściągasz dodatek na dysk a nie go instalujesz. Rozpakowujesz, w pliku install.rdf zmieniasz wartość w linijce: em:maxVersion>3.0.* na 3.5.* Zapisujesz plik. Pakujesz katalog do .zip a potem zmieniasz rozszerzenia na .xpi. Potem tylko Menu-->Otwórz plik. i gotowe. U mnie działa. A robiłem to i na Ubuntu na F11.

Filipsa pisze...

Najlepiej pobrać Firefoksa ze strony Mozilli, rozpakować archiwum i przenieść pliki do /usr/share/firefox, a potem tylko :
sudo ln -s /usr/share/firefox/firefox /usr/bin/
i już możemy uruchamiać przeglądarkę poleceniem 'firefox'. Jeszcze tylko wystarczy stworzyć aktywator, a ikonki aplikacji znajdują się w /firefox/icons/

Pozdrawiam

Anonimowy pisze...

można zainstalować Ubuntuzille to rozbudowany skrypt napisany w języku python, który instaluje programy Mozilla Firefox, SeaMonkey i Thunderbird w systemie Ubuntu

Anonimowy pisze...

standardowo w ubuntu jest w /usr/libs ale jak przeniesiemy w inne miejsce i podlinkujemy to tez bedzie ok

xeros pisze...

FF 3.5 jest już w repozytorium mozilla-security:

deb http://ppa.launchpad.net/ubuntu-mozilla-security/ubuntu jaunty main

(właśnie instaluję)

Anonimowy pisze...

W normalnych Ubuntu też już jest, tylko że po angielsku i nie działa wiele dodatków (m. in. Addblock).

Anonimowy pisze...

U mnie po ściągnięciu i odpaleniu tej wersji z firefox.pl w informacjach o wersji widnieje 3.0.8, a nie 3,...

Anonimowy pisze...

Jak próbuję zainstalować firefox 3.5 to mi instaluje shiretoko 3.5.1 pre, normalnego 3.5 nie ma chyba w repo

Rafał pisze...

No to jak? Aktualizować czy nie? Jeśli tak, to w jaki sposób najlepiej? Oraz pytanie najważniejsze: Czy dla 3.5 działa już adblock ?

Anonimowy pisze...

->Rafał
Nie bierz firefoxa z repo tylko jak pisze Adrian ściągnij paczke ze strony mozilli, rozpakuj, zrób aktywator i używaj. Jeśli nie będzie działać to usuń wszystko z katalogu /home/nazwaużytkownika/.mozilla/ lub zmień nazwy znajdujących się tam folderów.

Anonimowy pisze...

Zrobiłem tak, adblock działa.

Rafał pisze...

OK, dzięki wielkie!

netbit pisze...

a nie łatwiej tak :
http://ubuntumanual.org/posts/193/installing-firefox-3-5-in-ubuntu-the-easy-way
:)

Anonimowy pisze...

Chyba nie. Ważne żeby nie zainstaloać shiretoko 3.5.1 (zwany w repo firefoxem 3.5) tylko prawdziwego firefox-3.5. Można uniknąć nieprzyjemnych sytuacji z niekompatybilnością dodatków (chociażby nawet takie zwykłe spolszczenie).

Anonimowy pisze...

tu jest spolszczenie do 3.5.1pre: http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-mozilla-1.9.1-l10n/firefox-3.5.1pre.pl.langpack.xpi

matus71 pisze...

Niekompatybilnosci dodatków usuwam dodatkiem: https://addons.mozilla.org/pl/firefox/downloads/latest/6543/addon-6543-latest.xpi (nightly tester tools)
a potem "override all compability" - działa tez w Thunderze

Prześlij komentarz


Popularne posty

Etykiety